package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicOfflineConferenceOrderState {

    public static final String ALREADY_PROCESSED="已处理";

    public static final String NOT_PROCESSED="未处理";

    private static DicOfflineConferenceOrderState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicOfflineConferenceOrderState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(ALREADY_PROCESSED, ALREADY_PROCESSED);
        dicMap.put(NOT_PROCESSED, NOT_PROCESSED);
    }

    public static DicOfflineConferenceOrderState getInstacne(){
        if (instance == null)
        {
            instance = new DicOfflineConferenceOrderState();
        }
        return instance;
    }

    public static String getNotProcessed() {
        return NOT_PROCESSED;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
